Bug 21746 - am-utils srpm problem on i686
am-utils srpm problem on i686
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-05 10:49 EST by kresa
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-15 11:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kresa 2000-12-05 10:49:10 EST
i was trying to add hesiod support to the package, but the problem
occurs when using NIS and files, too (i.e. when using the original
spec file)

when compiling ('rpm -ba') the am-utils srpm on pentium III
(i686) the RPM_OPT_FLAGS is set to "-O2 -march=i386 -mcpu=i686"
and thus CFLAGS, CXXFLAGS and FFLAGS are set too.

it seems '-mcpu=i686' confuses either configure or gcc, because
the amd in the produced package doesn't work well -- whenever you 
try to access a point under amd control you get: 
Input Output Error
after enough (3-4) trials it succeeds.

puting 'optflags: i386 -O2 -march=i386' into rpmrc solves the problem
and the package works fine.

this problem occurs in am-utils in RedHat 7.0, too
Comment 1 Bill Nottingham 2000-12-05 10:53:27 EST
Smells like a compiler bug. Assigning to gcc.
Comment 2 Jakub Jelinek 2000-12-14 11:25:34 EST
Are you able to reproduce it with latest gcc rpm (like 2.96-65 or above)?
Comment 3 Jakub Jelinek 2000-12-15 11:15:45 EST
I cannot reproduce this myself, so unless you specify how exactly you
can reproduce it (preferably without hesiod and if possible without NIS)
or unless you test some compiler options, I cannot do anything about it.
I was testing am-utils which were in 7.0 (they were compiled with -march=i386
-mcpu=i686 -O2) and saw no failures.
Comment 4 Jakub Jelinek 2001-02-23 07:54:33 EST
Closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.